package fr.iutfbleau.projetAgile.Menu.Controller;

import java.awt.event.*;
import java.awt.Component;
import javax.swing.JOptionPane;
import fr.iutfbleau.projetAgile.Menu.View.Menu;

public class ObservateurAccueil implements ActionListener{
    private Component comp;
    public ObservateurAccueil(Component parent){
        this.comp=parent;
    }
    public void actionPerformed(ActionEvent evenement){
        int confirmation = JOptionPane.showConfirmDialog(this.comp, "Etes-vous sûr de vouloir retourner au menu ?", "Menu", JOptionPane.YES_NO_OPTION);
            if(confirmation == 1) return;
        Menu.show(Menu.MENU);
    }
}
